@media (min-width: 1024px) {
  .hero {
    margin-top: 2rem;
  }
}
.hero .wp-block-post-template {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}
@media not all and (min-width: 1024px) {
  .hero .hero__content-wrapper {
    padding-left: 0px;
    padding-right: 0px;
  }
}
@media (min-width: 1024px) {
  .hero .hero__content-wrapper {
    display: grid;
    grid-template-columns: 1.37fr 1fr;
    gap: 1.5rem;
  }
}
:is(.hero .hero__content-wrapper) .wp-block-buttons {
  margin-bottom: 1.5rem;
  justify-content: flex-end;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__content-wrapper) .wp-block-buttons {
    padding-left: 1rem;
    padding-right: 1rem;
  }
}
@media (min-width: 1024px) {
  :is(.hero .hero__content-wrapper) .wp-block-buttons {
    grid-column-start: 1;
    grid-column-end: 3;
  }
  :is(.hero .hero__query-1) .wp-block-post-template {
    height: 100%;
  }
}
:is(.hero .hero__query-1) .wp-block-post {
  position: relative;
  grid-template-rows: max-content max-content max-content max-content max-content;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post {
    display: grid;
  }
}
@media (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post {
    display: grid;
  }
  :is(:is(.hero .hero__query-1) .wp-block-post):hover .wp-block-post-featured-image::after {
    content: var(--tw-content);
    opacity: 0.2;
  }
  :is(:is(.hero .hero__query-1) .wp-block-post):hover img {
    --tw-translate-x: 0.75rem;
    --tw-translate-y: -0.75rem;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
  }
  :is(:is(:is(.hero .hero__query-1) .wp-block-post):hover .wp-block-post-title) a {
    --tw-text-opacity: 1;
    color: rgb(0 0 0 / var(--tw-text-opacity));
  }
}
@media all and (min-width: 1024px) {
  :is(:is(:is(.hero .hero__query-1) .wp-block-post):hover .wp-block-post-title) a {
              background-image: linear-gradient(transparent 0%, transparent 55%, rgba(57, 255, 219, 1) 55%, rgba(57, 255, 219, 1) 90%, transparent 90%);
          }
            }
:is(.hero .hero__query-1) .wp-block-post-featured-image {
  max-height: 31.25rem;
  width: 100%;
  overflow: hidden;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post-featured-image::after {
    position: absolute;
    inset: 0px;
    border-bottom-right-radius: 4.6875rem;
    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));
    --tw-gradient-from: transparent var(--tw-gradient-from-position);
    --tw-gradient-to: rgb(0 0 0 / 0) var(--tw-gradient-to-position);
    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
    content: var(--tw-content);
    --tw-gradient-to: rgba(0,0,0,0.7) var(--tw-gradient-to-position);
  }
  :is(.hero .hero__query-1) .wp-block-post-featured-image {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
  }
}
:is(.hero .hero__query-1) .wp-block-post-featured-image {
  border-bottom-left-radius: 0px;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post-featured-image {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 4.6875rem;
  }
}
@media not all and (min-width: 640px) {
  :is(.hero .hero__query-1) .wp-block-post-featured-image {
    aspect-ratio: 440/407;
  }
}
@media (min-width: 640px) {
  :is(.hero .hero__query-1) .wp-block-post-featured-image {
    aspect-ratio: 754/500;
  }
}
@media (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post-featured-image {
    margin-bottom: 1.5rem;
    border-top-right-radius: 1.5rem;
  }
  :is(:is(.hero .hero__query-1) .wp-block-post-featured-image)::before {
    pointer-events: none;
    position: absolute;
    inset: 0px;
    background-image: linear-gradient(to right, var(--tw-gradient-stops));
    --tw-gradient-from: #7D2DFF var(--tw-gradient-from-position);
    --tw-gradient-to: rgb(125 45 255 / 0) var(--tw-gradient-to-position);
    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
    --tw-gradient-to: #082AEE var(--tw-gradient-to-position);
    --tw-content: '';
    content: var(--tw-content);
  }
  :is(:is(.hero .hero__query-1) .wp-block-post-featured-image)::after {
    pointer-events: none;
    position: absolute;
    left: 0.75rem;
    bottom: 0.75rem;
    top: 0px;
    right: 0px;
    --tw-bg-opacity: 1;
    background-color: rgb(26 0 187 / var(--tw-bg-opacity));
    opacity: 0;
    transition-property: opacity;
    transition-duration: 150ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    --tw-content: '';
    content: var(--tw-content);
  }
}
:is(:is(.hero .hero__query-1) .wp-block-post-featured-image) img {
  height: 100%;
  width: 100%;
  border-radius: 0px;
  -o-object-fit: cover;
     object-fit: cover;
}
@media (min-width: 1024px) {
  :is(:is(.hero .hero__query-1) .wp-block-post-featured-image) img {
    position: relative;
    transition-property: transform;
    transition-duration: 150ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  }
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .featured-category {
    grid-row-start: 2;
    grid-row-end: 3;
    grid-column-start: 1;
    grid-column-end: 2;
    padding-left: 1rem;
    padding-right: 1rem;
  }
}
:is(.hero .hero__query-1) .wp-block-post-title {
  font-size: 2.4375rem;
  font-weight: 700;
  line-height: 2.6875rem;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post-title {
    position: relative;
    z-index: 10;
    display: flex;
    align-items: flex-end;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 3.5rem;
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity));
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
  }
}
:is(:is(.hero .hero__query-1) .wp-block-post-title) a {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  display: inline;
  background-size: 97% 100%;
  background-repeat: no-repeat;
  transition-property: all;
  transition-duration: 300ms;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
        background-image: linear-gradient(transparent 0%, transparent 55%, rgba(57, 255, 219, 0) 55%, rgba(57, 255, 219, 0) 90%, transparent 90%);
}
:is(.hero .hero__query-1) .wp-block-post-excerpt__more-link {
  position: absolute;
  inset: 0px;
  z-index: 10;
  text-indent: -999rem;
}
:is(.hero .hero__query-1) .wp-block-post-excerpt {
  font-size: 1.25rem;
  line-height: 1.5rem;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post-excerpt {
    grid-row-start: 3;
    grid-row-end: 4;
    grid-column-start: 1;
    grid-column-end: 2;
    padding-left: 1rem;
    padding-right: 1rem;
  }
}
@media (min-width: 1024px) {
  :is(.hero .hero__query-1) .wp-block-post-excerpt {
    margin-bottom: 1.5rem;
  }
}
:is(.hero .hero__query-1) .post__footer {
  width: 100%;
}
@media not all and (min-width: 1024px) {
  :is(.hero .hero__query-1) .post__footer {
    grid-row-start: 4;
    grid-row-end: 5;
    grid-column-start: 1;
    grid-column-end: 2;
    padding-left: 1rem !important;
    padding-right: 1rem !important;
  }
}
.hero .hero__query-2 {
  position: relative;
}
@media not all and (min-width: 1024px) {
  .hero .hero__query-2 {
    padding-top: 1.5rem;
  }
  :is(.hero .hero__query-2)::before {
    position: absolute;
    left: 1rem;
    top: 0px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    height: 0.25rem;
    width: calc(100% - 2rem);
    border-width: 0px;
    background-image: linear-gradient(to right, var(--tw-gradient-stops));
    --tw-gradient-from: #8000FF var(--tw-gradient-from-position);
    --tw-gradient-to: rgb(128 0 255 / 0) var(--tw-gradient-to-position);
    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
    --tw-gradient-to: #0000FF var(--tw-gradient-to-position);
    --tw-content: '';
    content: var(--tw-content);
  }
  :is(.hero .hero__query-2) .wp-block-post-template {
    gap: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
  }
}
@media (min-width: 1024px) {
  :is(.hero .hero__query-2) .wp-block-post-template {
    gap: 1.5rem;
  }
}
:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post {
  display: grid;
  align-items: flex-start;
}
@media not all and (min-width: 425px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post {
    grid-template-columns: minmax(100px,130px) 1fr;
  }
}
@media not all and (min-width: 1024px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post {
    gap: 1rem;
  }
}
@media (min-width: 425px) {
  @media not all and (min-width: 1280px) {
    :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post {
      grid-template-columns: minmax(100px,148px) 1fr;
    }
  }
}
@media (min-width: 1024px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post {
    gap: 1rem;
  }
}
@media (min-width: 1280px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post {
    grid-template-columns: minmax(140px,200px) 1fr;
  }
}
:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image {
  margin-bottom: 0px;
  overflow: hidden;
}
@media not all and (min-width: 1280px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image {
    aspect-ratio: 1 / 1;
  }
}
:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image {
  border-top-right-radius: 1.5rem;
  border-bottom-left-radius: 1.5rem;
}
@media (min-width: 1280px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image {
    aspect-ratio: 200/170;
  }
}
:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image::after {
  pointer-events: none;
  position: absolute;
  inset: 0px;
  background-image: linear-gradient(to right, var(--tw-gradient-stops));
  --tw-gradient-from: transparent var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(0 0 0 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
  --tw-gradient-from-position: 40%;
  --tw-gradient-to: var(--category-bg) var(--tw-gradient-to-position);
  --tw-gradient-to-position: 100%;
  content: var(--tw-content);
  mix-blend-mode: screen;
}
:is(:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image) img {
  min-height: 10.625rem;
  border-radius: 0px;
}
@media not all and (min-width: 640px) {
  :is(:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-featured-image) img {
    aspect-ratio: 1 / 1;
  }
}
:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-title {
  font-size: 1.125rem;
}
:is(:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-title) a {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
@media not all and (min-width: 1280px) {
  :is(:is(.hero .hero__query-2) .wp-block-post-template) .author-wrapper,:is(:is(.hero .hero__query-2) .wp-block-post-template) .reading-time,:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-post-date::after {
    display: none;
  }
}
:is(:is(.hero .hero__query-2) .wp-block-post-template) .wp-block-group {
  margin-left: 0px;
}
